Bug 176706 - index always returns ALL index document for QuerySupport.Kind.PREFIX for fieldValue "" even if they do not have the searched field
index always returns ALL index document for QuerySupport.Kind.PREFIX for fiel...
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
6.x
PC Mac OS X
: P3 (vote)
: 6.x
Assigned To: Vitezslav Stejskal
issues@editor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-12 10:00 UTC by Marek Fukala
Modified: 2010-01-13 12:28 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Fukala 2009-11-12 10:00:45 UTC
QuerySupport.query(JsfBinaryIndexer.FACELETS_LIB_NAMESPACE_KEY, "", QuerySupport.Kind.PREFIX, JsfBinaryIndexer.FACELETS_LIB_NAMESPACE_KEY);

Returns me IndexResult for files which do not contain such field.

This seems to be odd to me. I would expect the only document containing the searched field would be returned.
Comment 1 Marek Fukala 2009-11-13 07:33:22 UTC
I've worked around that gracefully already so no need for fix it a just before CF if not 110% safe :-)
Comment 2 Vitezslav Stejskal 2010-01-12 08:44:04 UTC
http://hg.netbeans.org/jet-main/rev/86b8258ba2b3
Comment 3 Quality Engineering 2010-01-13 12:28:03 UTC
Integrated into 'main-golden', will be available in build *201001131418* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/86b8258ba2b3
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #176706: allowing to search for documents that contain a specifc field (field's value does not matter)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo